org.cybergarage.upnp

## Class UPnPStatus

- java.lang.Object
- - org.cybergarage.upnp.UPnPStatus

    public class UPnPStatus
    extends Object

### Field Summary

Fields
`static int` `ACTION_FAILED`
`static int` `INVALID_ACTION`
`static int` `INVALID_ARGS`
`static int` `INVALID_VAR`
`static int` `OUT_OF_SYNC`
`static int` `PRECONDITION_FAILED`

### Constructor Summary

Constructors
Constructor and Description
`UPnPStatus()`
`UPnPStatus(int code, String desc)`

### Method Summary

Methods
`static String` `code2String(int code)`
`int` `getCode()`
`String` `getDescription()`
`void` `setCode(int code)`
`void` `setDescription(String description)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INVALID_ACTION

    public static final int INVALID_ACTION

See Also:
  Constant Field Values

#### INVALID_ARGS

    public static final int INVALID_ARGS

See Also:
  Constant Field Values

#### OUT_OF_SYNC

    public static final int OUT_OF_SYNC

See Also:
  Constant Field Values

#### INVALID_VAR

    public static final int INVALID_VAR

See Also:
  Constant Field Values

#### PRECONDITION_FAILED

    public static final int PRECONDITION_FAILED

See Also:
  Constant Field Values

#### ACTION_FAILED

    public static final int ACTION_FAILED

See Also:
  Constant Field Values

### Constructor Detail

#### UPnPStatus

    public UPnPStatus()

#### UPnPStatus

    public UPnPStatus(int code,
              String desc)

### Method Detail

#### code2String

    public static final String code2String(int code)

#### getCode

    public int getCode()

#### setCode

    public void setCode(int code)

#### getDescription

    public String getDescription()

#### setDescription

    public void setDescription(String description)